%global _root_libdir	/%{_lib}
%global _root_sbindir 	/sbin

Name:		nilfs-utils
Version:	2.2.8
Release:	1
Summary:	Utilities for managing NILFS v2 filesystems
License:	GPLv2+
URL:		http://nilfs.sourceforge.net
Source0:	http://nilfs.sourceforge.net/download/%{name}-%{version}.tar.bz2
BuildRequires:	gcc, libuuid-devel, libmount-devel, libselinux-devel

%description
Userspace utilities for creating and mounting NILFS v2 filesystems.

%package devel
Summary:	NILFS2 filesystem-specific headers
Requires:	nilfs-utils = %{version}-%{release}

%description devel
nilfs-utils-devel contains the header files needed to develop NILFS
filesystem-specific programs.

You should install nilfs-utils-devel if you want to develop NILFS
filesystem-specific programs. If you install nilfs-utils-devel, you'll
also want to install nilfs-utils.

%package_help

%prep
%setup -q

%build
# geez, make install is trying to run ldconfig on the system
%configure LDCONFIG=/bin/true --disable-static --libdir %{_root_libdir}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{make_build}

%install
rm -rf $RPM_BUILD_ROOT
%{make_install}
%delete_la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc ChangeLog
%config(noreplace) /etc/nilfs_cleanerd.conf
%{_root_sbindir}/nilfs_cleanerd
%{_root_sbindir}/*.nilfs2
%{_root_libdir}/libnilfs*
%{_sbindir}/nilfs-*
%{_bindir}/*cp
%{_bindir}/lssu
%{_bindir}/dumpseg

%files devel
%{_root_libdir}/libnilfs*
%{_includedir}/nilfs*.h

%files help
%{_mandir}/man1/lscp.*.gz
%{_mandir}/man1/lssu.*.gz
%{_mandir}/man5/nilfs_cleanerd.conf.5.gz
%{_mandir}/man8/chcp.*.gz
%{_mandir}/man8/mkcp.*.gz
%{_mandir}/man8/rmcp.*.gz
%{_mandir}/man8/dumpseg.8.gz
%{_mandir}/man8/*.nilfs2.*.gz
%{_mandir}/man8/nilfs*.gz

%changelog
* Thu Jun 16 2022 SimpleUpdate Robot <tc@openeuler.org> - 2.2.8-1
- Upgrade to version 2.2.8

* Wed Dec 04 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.61-18
- Package init

* Mon Nov 25 2019 zhanghaibo <ted.zhang@huawei.com> - 2.2.7-5
- Add buildreqires libselinux-devel
